org.fourthline.cling.support.model.dlna

## Enum DLNAProfiles

- java.lang.Object
- - java.lang.Enum<DLNAProfiles>
  - - org.fourthline.cling.support.model.dlna.DLNAProfiles

- All Implemented Interfaces:
    Serializable, Comparable<DLNAProfiles>

      public enum DLNAProfiles
      extends Enum<DLNAProfiles>

  DLNA.ORG_PN: DLNA Profiles
  Author:
    Mario Franco

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AAC_ADTS`
    `AAC_ADTS_320`
    `AAC_ISO`
    `AAC_ISO_320`
    `AAC_LTP_ISO`
    `AAC_LTP_MULT5_ISO`
    `AAC_LTP_MULT7_ISO`
    `AAC_MULT5_ADTS`
    `AAC_MULT5_ISO`
    `AC3`
    `AMR`
    `AMR_WBplus`
    `ATRAC3`
    `AVC_3GPP_BL_CIF15_AMR_WBplus`
    `AVC_3GPP_BL_CIF30_AMR_WBplus`
    `AVC_3GPP_BL_QCIF15_AAC`
    `AVC_3GPP_BL_QCIF15_AAC_LTP`
    `AVC_3GPP_BL_QCIF15_AMR`
    `AVC_3GPP_BL_QCIF15_AMR_WBplus`
    `AVC_3GPP_BL_QCIF15_HEAAC`
    `AVC_MP4_BL_CIF15_AAC`
    `AVC_MP4_BL_CIF15_AAC_520`
    `AVC_MP4_BL_CIF15_AAC_LTP`
    `AVC_MP4_BL_CIF15_AAC_LTP_520`
    `AVC_MP4_BL_CIF15_AMR`
    `AVC_MP4_BL_CIF15_BSAC`
    `AVC_MP4_BL_CIF15_HEAAC`
    `AVC_MP4_BL_CIF30_AAC_LTP`
    `AVC_MP4_BL_CIF30_AAC_LTP_MULT5`
    `AVC_MP4_BL_CIF30_AAC_MULT5`
    `AVC_MP4_BL_CIF30_AC3`
    `AVC_MP4_BL_CIF30_BSAC`
    `AVC_MP4_BL_CIF30_BSAC_MULT5`
    `AVC_MP4_BL_CIF30_HEAAC_L2`
    `AVC_MP4_BL_CIF30_MPEG1_L3`
    `AVC_MP4_BL_L12_CIF15_HEAAC`
    `AVC_MP4_BL_L1B_QCIF15_HEAAC`
    `AVC_MP4_BL_L2_CIF30_AAC`
    `AVC_MP4_BL_L3_SD_AAC`
    `AVC_MP4_BL_L3L_SD_AAC`
    `AVC_MP4_BL_L3L_SD_HEAAC`
    `AVC_MP4_HP_HD_AAC`
    `AVC_MP4_LPCM`
    `AVC_MP4_MP_HD_1080i_AAC`
    `AVC_MP4_MP_HD_720p_AAC`
    `AVC_MP4_MP_SD_AAC_LTP`
    `AVC_MP4_MP_SD_AAC_LTP_MULT5`
    `AVC_MP4_MP_SD_AAC_LTP_MULT7`
    `AVC_MP4_MP_SD_AAC_MULT5`
    `AVC_MP4_MP_SD_AC3`
    `AVC_MP4_MP_SD_ATRAC3plus`
    `AVC_MP4_MP_SD_BSAC`
    `AVC_MP4_MP_SD_HEAAC_L2`
    `AVC_MP4_MP_SD_MPEG1_L3`
    `AVC_TS_BL_CIF15_AAC`
    `AVC_TS_BL_CIF15_AAC_540`
    `AVC_TS_BL_CIF15_AAC_540_ISO`
    `AVC_TS_BL_CIF15_AAC_540_T`
    `AVC_TS_BL_CIF15_AAC_ISO`
    `AVC_TS_BL_CIF15_AAC_LTP`
    `AVC_TS_BL_CIF15_AAC_LTP_ISO`
    `AVC_TS_BL_CIF15_AAC_LTP_T`
    `AVC_TS_BL_CIF15_AAC_T`
    `AVC_TS_BL_CIF15_BSAC`
    `AVC_TS_BL_CIF15_BSAC_ISO`
    `AVC_TS_BL_CIF15_BSAC_T`
    `AVC_TS_BL_CIF30_AAC_940`
    `AVC_TS_BL_CIF30_AAC_940_ISO`
    `AVC_TS_BL_CIF30_AAC_940_T`
    `AVC_TS_BL_CIF30_AAC_LTP`
    `AVC_TS_BL_CIF30_AAC_LTP_ISO`
    `AVC_TS_BL_CIF30_AAC_LTP_MULT5`
    `AVC_TS_BL_CIF30_AAC_LTP_MULT5_ISO`
    `AVC_TS_BL_CIF30_AAC_LTP_MULT5_T`
    `AVC_TS_BL_CIF30_AAC_LTP_T`
    `AVC_TS_BL_CIF30_AAC_MULT5`
    `AVC_TS_BL_CIF30_AAC_MULT5_ISO`
    `AVC_TS_BL_CIF30_AAC_MULT5_T`
    `AVC_TS_BL_CIF30_AC3`
    `AVC_TS_BL_CIF30_AC3_ISO`
    `AVC_TS_BL_CIF30_AC3_T`
    `AVC_TS_BL_CIF30_HEAAC_L2`
    `AVC_TS_BL_CIF30_HEAAC_L2_ISO`
    `AVC_TS_BL_CIF30_HEAAC_L2_T`
    `AVC_TS_BL_CIF30_MPEG1_L3`
    `AVC_TS_BL_CIF30_MPEG1_L3_ISO`
    `AVC_TS_BL_CIF30_MPEG1_L3_T`
    `AVC_TS_HD_24_AC3`
    `AVC_TS_HD_24_AC3_ISO`
    `AVC_TS_HD_24_AC3_T`
    `AVC_TS_HD_50_AC3`
    `AVC_TS_HD_50_AC3_ISO`
    `AVC_TS_HD_50_AC3_T`
    `AVC_TS_HD_50_LPCM_T`
    `AVC_TS_HD_60_AC3`
    `AVC_TS_HD_60_AC3_ISO`
    `AVC_TS_HD_60_AC3_T`
    `AVC_TS_MP_HD_AAC`
    `AVC_TS_MP_HD_AAC_ISO`
    `AVC_TS_MP_HD_AAC_LTP`
    `AVC_TS_MP_HD_AAC_LTP_ISO`
    `AVC_TS_MP_HD_AAC_LTP_MULT5`
    `AVC_TS_MP_HD_AAC_LTP_MULT5_ISO`
    `AVC_TS_MP_HD_AAC_LTP_MULT5_T`
    `AVC_TS_MP_HD_AAC_LTP_MULT7`
    `AVC_TS_MP_HD_AAC_LTP_MULT7_ISO`
    `AVC_TS_MP_HD_AAC_LTP_MULT7_T`
    `AVC_TS_MP_HD_AAC_LTP_T`
    `AVC_TS_MP_HD_AAC_MULT5`
    `AVC_TS_MP_HD_AAC_MULT5_ISO`
    `AVC_TS_MP_HD_AAC_MULT5_T`
    `AVC_TS_MP_HD_AAC_T`
    `AVC_TS_MP_HD_AC3`
    `AVC_TS_MP_HD_AC3_ISO`
    `AVC_TS_MP_HD_AC3_T`
    `AVC_TS_MP_HD_HEAAC_L2`
    `AVC_TS_MP_HD_HEAAC_L2_ISO`
    `AVC_TS_MP_HD_HEAAC_L2_T`
    `AVC_TS_MP_HD_MPEG1_L3`
    `AVC_TS_MP_HD_MPEG1_L3_ISO`
    `AVC_TS_MP_HD_MPEG1_L3_T`
    `AVC_TS_MP_SD_AAC_LTP`
    `AVC_TS_MP_SD_AAC_LTP_ISO`
    `AVC_TS_MP_SD_AAC_LTP_MULT5`
    `AVC_TS_MP_SD_AAC_LTP_MULT5_ISO`
    `AVC_TS_MP_SD_AAC_LTP_MULT5_T`
    `AVC_TS_MP_SD_AAC_LTP_MULT7`
    `AVC_TS_MP_SD_AAC_LTP_MULT7_ISO`
    `AVC_TS_MP_SD_AAC_LTP_MULT7_T`
    `AVC_TS_MP_SD_AAC_LTP_T`
    `AVC_TS_MP_SD_AAC_MULT5`
    `AVC_TS_MP_SD_AAC_MULT5_ISO`
    `AVC_TS_MP_SD_AAC_MULT5_T`
    `AVC_TS_MP_SD_AC3`
    `AVC_TS_MP_SD_AC3_ISO`
    `AVC_TS_MP_SD_AC3_T`
    `AVC_TS_MP_SD_BSAC`
    `AVC_TS_MP_SD_BSAC_ISO`
    `AVC_TS_MP_SD_BSAC_T`
    `AVC_TS_MP_SD_HEAAC_L2`
    `AVC_TS_MP_SD_HEAAC_L2_ISO`
    `AVC_TS_MP_SD_HEAAC_L2_T`
    `AVC_TS_MP_SD_MPEG1_L3`
    `AVC_TS_MP_SD_MPEG1_L3_ISO`
    `AVC_TS_MP_SD_MPEG1_L3_T`
    `AVI`
    `AVI_XMS`
    `BSAC_ISO`
    `BSAC_MULT5_ISO`
    `DIVX`
    `HEAAC_L2_ADTS`
    `HEAAC_L2_ADTS_320`
    `HEAAC_L2_ISO`
    `HEAAC_L2_ISO_320`
    `HEAAC_L3_ADTS`
    `HEAAC_L3_ISO`
    `HEAAC_MULT5_ADTS`
    `HEAAC_MULT5_ISO`
    `HEAACv2_L2`
    `HEAACv2_L2_320`
    `HEAACv2_L2_320_ADTS`
    `HEAACv2_L2_ADTS`
    `HEAACv2_L3`
    `HEAACv2_L3_ADTS`
    `HEAACv2_MULT5`
    `HEAACv2_MULT5_ADTS`
    `JPEG_LRG`
    `JPEG_LRG_ICO`
    `JPEG_MED`
    `JPEG_SM`
    `JPEG_SM_ICO`
    `JPEG_TN`
    `LPCM`
    `LPCM_LOW`
    `MATROSKA`
    `MATROSKA_MKV`
    `MP3`
    `MP3X`
    `MPEG_ES_NTSC`
    `MPEG_ES_NTSC_XAC3`
    `MPEG_ES_PAL`
    `MPEG_ES_PAL_XAC3`
    `MPEG_PS_NTSC`
    `MPEG_PS_NTSC_XAC3`
    `MPEG_PS_PAL`
    `MPEG_PS_PAL_XAC3`
    `MPEG_TS_HD_50_L2_ISO`
    `MPEG_TS_HD_50_L2_T`
    `MPEG_TS_HD_60_L2_ISO`
    `MPEG_TS_HD_60_L2_T`
    `MPEG_TS_HD_NA`
    `MPEG_TS_HD_NA_ISO`
    `MPEG_TS_HD_NA_T`
    `MPEG_TS_HD_NA_XAC3`
    `MPEG_TS_HD_NA_XAC3_ISO`
    `MPEG_TS_HD_NA_XAC3_T`
    `MPEG_TS_MP_LL_AAC`
    `MPEG_TS_MP_LL_AAC_ISO`
    `MPEG_TS_MP_LL_AAC_T`
    `MPEG_TS_SD_50_AC3_T`
    `MPEG_TS_SD_50_L2_T`
    `MPEG_TS_SD_60_AC3_T`
    `MPEG_TS_SD_60_L2_T`
    `MPEG_TS_SD_EU`
    `MPEG_TS_SD_EU_ISO`
    `MPEG_TS_SD_EU_T`
    `MPEG_TS_SD_NA`
    `MPEG_TS_SD_NA_ISO`
    `MPEG_TS_SD_NA_T`
    `MPEG_TS_SD_NA_XAC3`
    `MPEG_TS_SD_NA_XAC3_ISO`
    `MPEG_TS_SD_NA_XAC3_T`
    `MPEG1`
    `MPEG4_H263_3GPP_P0_L10_AMR_WBplus`
    `MPEG4_H263_3GPP_P3_L10_AMR`
    `MPEG4_H263_MP4_P0_L10_AAC`
    `MPEG4_H263_MP4_P0_L10_AAC_LTP`
    `MPEG4_P2_3GPP_SP_L0B_AAC`
    `MPEG4_P2_3GPP_SP_L0B_AMR`
    `MPEG4_P2_ASF_ASP_L4_SO_G726`
    `MPEG4_P2_ASF_ASP_L5_SO_G726`
    `MPEG4_P2_ASF_SP_G726`
    `MPEG4_P2_MP4_ASP_AAC`
    `MPEG4_P2_MP4_ASP_ATRAC3plus`
    `MPEG4_P2_MP4_ASP_HEAAC`
    `MPEG4_P2_MP4_ASP_HEAAC_MULT5`
    `MPEG4_P2_MP4_ASP_L4_SO_AAC`
    `MPEG4_P2_MP4_ASP_L4_SO_HEAAC`
    `MPEG4_P2_MP4_ASP_L4_SO_HEAAC_MULT5`
    `MPEG4_P2_MP4_ASP_L5_SO_AAC`
    `MPEG4_P2_MP4_ASP_L5_SO_HEAAC`
    `MPEG4_P2_MP4_ASP_L5_SO_HEAAC_MULT5`
    `MPEG4_P2_MP4_SP_AAC`
    `MPEG4_P2_MP4_SP_AAC_LTP`
    `MPEG4_P2_MP4_SP_ATRAC3plus`
    `MPEG4_P2_MP4_SP_HEAAC`
    `MPEG4_P2_MP4_SP_L2_AAC`
    `MPEG4_P2_MP4_SP_L2_AMR`
    `MPEG4_P2_MP4_SP_VGA_AAC`
    `MPEG4_P2_MP4_SP_VGA_HEAAC`
    `MPEG4_P2_TS_ASP_AAC`
    `MPEG4_P2_TS_ASP_AAC_ISO`
    `MPEG4_P2_TS_ASP_AAC_T`
    `MPEG4_P2_TS_ASP_AC3_ISO`
    `MPEG4_P2_TS_ASP_AC3_L3`
    `MPEG4_P2_TS_ASP_AC3_T`
    `MPEG4_P2_TS_ASP_MPEG1_L3`
    `MPEG4_P2_TS_ASP_MPEG1_L3_ISO`
    `MPEG4_P2_TS_ASP_MPEG1_L3_T`
    `MPEG4_P2_TS_CO_AC3`
    `MPEG4_P2_TS_CO_AC3_ISO`
    `MPEG4_P2_TS_CO_AC3_T`
    `MPEG4_P2_TS_CO_MPEG2_L2`
    `MPEG4_P2_TS_CO_MPEG2_L2_ISO`
    `MPEG4_P2_TS_CO_MPEG2_L2_T`
    `MPEG4_P2_TS_SP_AAC`
    `MPEG4_P2_TS_SP_AAC_ISO`
    `MPEG4_P2_TS_SP_AAC_T`
    `MPEG4_P2_TS_SP_AC3_ISO`
    `MPEG4_P2_TS_SP_AC3_L3`
    `MPEG4_P2_TS_SP_AC3_T`
    `MPEG4_P2_TS_SP_MPEG1_L3`
    `MPEG4_P2_TS_SP_MPEG1_L3_ISO`
    `MPEG4_P2_TS_SP_MPEG1_L3_T`
    `MPEG4_P2_TS_SP_MPEG2_L2`
    `MPEG4_P2_TS_SP_MPEG2_L2_ISO`
    `MPEG4_P2_TS_SP_MPEG2_L2_T`
    `NONE`
    `PNG_LRG`
    `PNG_LRG_ICO`
    `PNG_SM_ICO`
    `PNG_TN`
    `THREE_GPP`
    `VC1_ASF_AP_L1_WMA`
    `VC1_ASF_AP_L1_WMA_WMV`
    `VC1_ASF_AP_L2_WMA`
    `VC1_ASF_AP_L2_WMA_WMV`
    `VC1_ASF_AP_L3_WMA`
    `VC1_ASF_AP_L3_WMA_WMV`
    `WMABASE`
    `WMAFULL`
    `WMAPRO`
    `WMVHIGH_FULL`
    `WMVHIGH_PRO`
    `WMVHM_BASE`
    `WMVMED_BASE`
    `WMVMED_FULL`
    `WMVMED_PRO`
    `WMVSPLL_BASE`
    `WMVSPML_BASE`
    `WMVSPML_MP3`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()`
    `String` | `getContentFormat()`
    `static DLNAProfiles` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DLNAProfiles` | `valueOf(String code, String contentFormat)`
    `static DLNAProfiles[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final DLNAProfiles NONE

    - #### JPEG_SM

          public static final DLNAProfiles JPEG_SM

    - #### JPEG_MED

          public static final DLNAProfiles JPEG_MED

    - #### JPEG_LRG

          public static final DLNAProfiles JPEG_LRG

    - #### JPEG_TN

          public static final DLNAProfiles JPEG_TN

    - #### JPEG_SM_ICO

          public static final DLNAProfiles JPEG_SM_ICO

    - #### JPEG_LRG_ICO

          public static final DLNAProfiles JPEG_LRG_ICO

    - #### PNG_TN

          public static final DLNAProfiles PNG_TN

    - #### PNG_SM_ICO

          public static final DLNAProfiles PNG_SM_ICO

    - #### PNG_LRG_ICO

          public static final DLNAProfiles PNG_LRG_ICO

    - #### PNG_LRG

          public static final DLNAProfiles PNG_LRG

    - #### LPCM

          public static final DLNAProfiles LPCM

    - #### LPCM_LOW

          public static final DLNAProfiles LPCM_LOW

    - #### MP3

          public static final DLNAProfiles MP3

    - #### MP3X

          public static final DLNAProfiles MP3X

    - #### WMABASE

          public static final DLNAProfiles WMABASE

    - #### WMAFULL

          public static final DLNAProfiles WMAFULL

    - #### WMAPRO

          public static final DLNAProfiles WMAPRO

    - #### AAC_ADTS

          public static final DLNAProfiles AAC_ADTS

    - #### AAC_ADTS_320

          public static final DLNAProfiles AAC_ADTS_320

    - #### AAC_ISO

          public static final DLNAProfiles AAC_ISO

    - #### AAC_ISO_320

          public static final DLNAProfiles AAC_ISO_320

    - #### AAC_LTP_ISO

          public static final DLNAProfiles AAC_LTP_ISO

    - #### AAC_LTP_MULT5_ISO

          public static final DLNAProfiles AAC_LTP_MULT5_ISO

    - #### AAC_LTP_MULT7_ISO

          public static final DLNAProfiles AAC_LTP_MULT7_ISO

    - #### AAC_MULT5_ADTS

          public static final DLNAProfiles AAC_MULT5_ADTS

    - #### AAC_MULT5_ISO

          public static final DLNAProfiles AAC_MULT5_ISO

    - #### HEAAC_L2_ADTS

          public static final DLNAProfiles HEAAC_L2_ADTS

    - #### HEAAC_L2_ISO

          public static final DLNAProfiles HEAAC_L2_ISO

    - #### HEAAC_L3_ADTS

          public static final DLNAProfiles HEAAC_L3_ADTS

    - #### HEAAC_L3_ISO

          public static final DLNAProfiles HEAAC_L3_ISO

    - #### HEAAC_MULT5_ADTS

          public static final DLNAProfiles HEAAC_MULT5_ADTS

    - #### HEAAC_MULT5_ISO

          public static final DLNAProfiles HEAAC_MULT5_ISO

    - #### HEAAC_L2_ADTS_320

          public static final DLNAProfiles HEAAC_L2_ADTS_320

    - #### HEAAC_L2_ISO_320

          public static final DLNAProfiles HEAAC_L2_ISO_320

    - #### BSAC_ISO

          public static final DLNAProfiles BSAC_ISO

    - #### BSAC_MULT5_ISO

          public static final DLNAProfiles BSAC_MULT5_ISO

    - #### HEAACv2_L2

          public static final DLNAProfiles HEAACv2_L2

    - #### HEAACv2_L2_ADTS

          public static final DLNAProfiles HEAACv2_L2_ADTS

    - #### HEAACv2_L2_320

          public static final DLNAProfiles HEAACv2_L2_320

    - #### HEAACv2_L2_320_ADTS

          public static final DLNAProfiles HEAACv2_L2_320_ADTS

    - #### HEAACv2_L3

          public static final DLNAProfiles HEAACv2_L3

    - #### HEAACv2_L3_ADTS

          public static final DLNAProfiles HEAACv2_L3_ADTS

    - #### HEAACv2_MULT5

          public static final DLNAProfiles HEAACv2_MULT5

    - #### HEAACv2_MULT5_ADTS

          public static final DLNAProfiles HEAACv2_MULT5_ADTS

    - #### AC3

          public static final DLNAProfiles AC3

    - #### AMR

          public static final DLNAProfiles AMR

    - #### THREE_GPP

          public static final DLNAProfiles THREE_GPP

    - #### AMR_WBplus

          public static final DLNAProfiles AMR_WBplus

    - #### ATRAC3

          public static final DLNAProfiles ATRAC3

    - #### WMVMED_BASE

          public static final DLNAProfiles WMVMED_BASE

    - #### WMVMED_FULL

          public static final DLNAProfiles WMVMED_FULL

    - #### WMVMED_PRO

          public static final DLNAProfiles WMVMED_PRO

    - #### WMVHIGH_FULL

          public static final DLNAProfiles WMVHIGH_FULL

    - #### WMVHIGH_PRO

          public static final DLNAProfiles WMVHIGH_PRO

    - #### WMVHM_BASE

          public static final DLNAProfiles WMVHM_BASE

    - #### WMVSPLL_BASE

          public static final DLNAProfiles WMVSPLL_BASE

    - #### WMVSPML_BASE

          public static final DLNAProfiles WMVSPML_BASE

    - #### WMVSPML_MP3

          public static final DLNAProfiles WMVSPML_MP3

    - #### MPEG1

          public static final DLNAProfiles MPEG1

    - #### MPEG_PS_NTSC

          public static final DLNAProfiles MPEG_PS_NTSC

    - #### MPEG_PS_NTSC_XAC3

          public static final DLNAProfiles MPEG_PS_NTSC_XAC3

    - #### MPEG_PS_PAL

          public static final DLNAProfiles MPEG_PS_PAL

    - #### MPEG_PS_PAL_XAC3

          public static final DLNAProfiles MPEG_PS_PAL_XAC3

    - #### MPEG_TS_MP_LL_AAC

          public static final DLNAProfiles MPEG_TS_MP_LL_AAC

    - #### MPEG_TS_MP_LL_AAC_T

          public static final DLNAProfiles MPEG_TS_MP_LL_AAC_T

    - #### MPEG_TS_MP_LL_AAC_ISO

          public static final DLNAProfiles MPEG_TS_MP_LL_AAC_ISO

    - #### MPEG_TS_SD_50_L2_T

          public static final DLNAProfiles MPEG_TS_SD_50_L2_T

    - #### MPEG_TS_SD_60_L2_T

          public static final DLNAProfiles MPEG_TS_SD_60_L2_T

    - #### MPEG_TS_SD_60_AC3_T

          public static final DLNAProfiles MPEG_TS_SD_60_AC3_T

    - #### MPEG_TS_SD_EU

          public static final DLNAProfiles MPEG_TS_SD_EU

    - #### MPEG_TS_SD_EU_T

          public static final DLNAProfiles MPEG_TS_SD_EU_T

    - #### MPEG_TS_SD_EU_ISO

          public static final DLNAProfiles MPEG_TS_SD_EU_ISO

    - #### MPEG_TS_SD_50_AC3_T

          public static final DLNAProfiles MPEG_TS_SD_50_AC3_T

    - #### MPEG_TS_SD_NA

          public static final DLNAProfiles MPEG_TS_SD_NA

    - #### MPEG_TS_SD_NA_T

          public static final DLNAProfiles MPEG_TS_SD_NA_T

    - #### MPEG_TS_SD_NA_ISO

          public static final DLNAProfiles MPEG_TS_SD_NA_ISO

    - #### MPEG_TS_SD_NA_XAC3

          public static final DLNAProfiles MPEG_TS_SD_NA_XAC3

    - #### MPEG_TS_SD_NA_XAC3_T

          public static final DLNAProfiles MPEG_TS_SD_NA_XAC3_T

    - #### MPEG_TS_SD_NA_XAC3_ISO

          public static final DLNAProfiles MPEG_TS_SD_NA_XAC3_ISO

    - #### MPEG_TS_HD_NA

          public static final DLNAProfiles MPEG_TS_HD_NA

    - #### MPEG_TS_HD_NA_T

          public static final DLNAProfiles MPEG_TS_HD_NA_T

    - #### MPEG_TS_HD_50_L2_T

          public static final DLNAProfiles MPEG_TS_HD_50_L2_T

    - #### MPEG_TS_HD_50_L2_ISO

          public static final DLNAProfiles MPEG_TS_HD_50_L2_ISO

    - #### MPEG_TS_HD_60_L2_T

          public static final DLNAProfiles MPEG_TS_HD_60_L2_T

    - #### MPEG_TS_HD_60_L2_ISO

          public static final DLNAProfiles MPEG_TS_HD_60_L2_ISO

    - #### MPEG_TS_HD_NA_ISO

          public static final DLNAProfiles MPEG_TS_HD_NA_ISO

    - #### MPEG_TS_HD_NA_XAC3

          public static final DLNAProfiles MPEG_TS_HD_NA_XAC3

    - #### MPEG_TS_HD_NA_XAC3_T

          public static final DLNAProfiles MPEG_TS_HD_NA_XAC3_T

    - #### MPEG_TS_HD_NA_XAC3_ISO

          public static final DLNAProfiles MPEG_TS_HD_NA_XAC3_ISO

    - #### MPEG_ES_PAL

          public static final DLNAProfiles MPEG_ES_PAL

    - #### MPEG_ES_NTSC

          public static final DLNAProfiles MPEG_ES_NTSC

    - #### MPEG_ES_PAL_XAC3

          public static final DLNAProfiles MPEG_ES_PAL_XAC3

    - #### MPEG_ES_NTSC_XAC3

          public static final DLNAProfiles MPEG_ES_NTSC_XAC3

    - #### MPEG4_P2_MP4_SP_AAC

          public static final DLNAProfiles MPEG4_P2_MP4_SP_AAC

    - #### MPEG4_P2_MP4_SP_HEAAC

          public static final DLNAProfiles MPEG4_P2_MP4_SP_HEAAC

    - #### MPEG4_P2_MP4_SP_ATRAC3plus

          public static final DLNAProfiles MPEG4_P2_MP4_SP_ATRAC3plus

    - #### MPEG4_P2_MP4_SP_AAC_LTP

          public static final DLNAProfiles MPEG4_P2_MP4_SP_AAC_LTP

    - #### MPEG4_P2_MP4_SP_L2_AAC

          public static final DLNAProfiles MPEG4_P2_MP4_SP_L2_AAC

    - #### MPEG4_P2_MP4_SP_L2_AMR

          public static final DLNAProfiles MPEG4_P2_MP4_SP_L2_AMR

    - #### MPEG4_P2_MP4_SP_VGA_AAC

          public static final DLNAProfiles MPEG4_P2_MP4_SP_VGA_AAC

    - #### MPEG4_P2_MP4_SP_VGA_HEAAC

          public static final DLNAProfiles MPEG4_P2_MP4_SP_VGA_HEAAC

    - #### MPEG4_P2_MP4_ASP_AAC

          public static final DLNAProfiles MPEG4_P2_MP4_ASP_AAC

    - #### MPEG4_P2_MP4_ASP_HEAAC

          public static final DLNAProfiles MPEG4_P2_MP4_ASP_HEAAC

    - #### MPEG4_P2_MP4_ASP_HEAAC_MULT5

          public static final DLNAProfiles MPEG4_P2_MP4_ASP_HEAAC_MULT5

    - #### MPEG4_P2_MP4_ASP_ATRAC3plus

          public static final DLNAProfiles MPEG4_P2_MP4_ASP_ATRAC3plus

    - #### MPEG4_P2_MP4_ASP_L5_SO_AAC

          public static final DLNAProfiles MPEG4_P2_MP4_ASP_L5_SO_AAC

    - #### MPEG4_P2_MP4_ASP_L5_SO_HEAAC

          public static final DLNAProfiles MPEG4_P2_MP4_ASP_L5_SO_HEAAC

    - #### MPEG4_P2_MP4_ASP_L5_SO_HEAAC_MULT5

          public static final DLNAProfiles MPEG4_P2_MP4_ASP_L5_SO_HEAAC_MULT5

    - #### MPEG4_P2_MP4_ASP_L4_SO_AAC

          public static final DLNAProfiles MPEG4_P2_MP4_ASP_L4_SO_AAC

    - #### MPEG4_P2_MP4_ASP_L4_SO_HEAAC

          public static final DLNAProfiles MPEG4_P2_MP4_ASP_L4_SO_HEAAC

    - #### MPEG4_P2_MP4_ASP_L4_SO_HEAAC_MULT5

          public static final DLNAProfiles MPEG4_P2_MP4_ASP_L4_SO_HEAAC_MULT5

    - #### MPEG4_H263_MP4_P0_L10_AAC

          public static final DLNAProfiles MPEG4_H263_MP4_P0_L10_AAC

    - #### MPEG4_H263_MP4_P0_L10_AAC_LTP

          public static final DLNAProfiles MPEG4_H263_MP4_P0_L10_AAC_LTP

    - #### MPEG4_P2_TS_SP_AAC

          public static final DLNAProfiles MPEG4_P2_TS_SP_AAC

    - #### MPEG4_P2_TS_SP_AAC_T

          public static final DLNAProfiles MPEG4_P2_TS_SP_AAC_T

    - #### MPEG4_P2_TS_SP_AAC_ISO

          public static final DLNAProfiles MPEG4_P2_TS_SP_AAC_ISO

    - #### MPEG4_P2_TS_SP_MPEG1_L3

          public static final DLNAProfiles MPEG4_P2_TS_SP_MPEG1_L3

    - #### MPEG4_P2_TS_SP_MPEG1_L3_T

          public static final DLNAProfiles MPEG4_P2_TS_SP_MPEG1_L3_T

    - #### MPEG4_P2_TS_SP_MPEG1_L3_ISO

          public static final DLNAProfiles MPEG4_P2_TS_SP_MPEG1_L3_ISO

    - #### MPEG4_P2_TS_SP_AC3_L3

          public static final DLNAProfiles MPEG4_P2_TS_SP_AC3_L3

    - #### MPEG4_P2_TS_SP_AC3_T

          public static final DLNAProfiles MPEG4_P2_TS_SP_AC3_T

    - #### MPEG4_P2_TS_SP_AC3_ISO

          public static final DLNAProfiles MPEG4_P2_TS_SP_AC3_ISO

    - #### MPEG4_P2_TS_SP_MPEG2_L2

          public static final DLNAProfiles MPEG4_P2_TS_SP_MPEG2_L2

    - #### MPEG4_P2_TS_SP_MPEG2_L2_T

          public static final DLNAProfiles MPEG4_P2_TS_SP_MPEG2_L2_T

    - #### MPEG4_P2_TS_SP_MPEG2_L2_ISO

          public static final DLNAProfiles MPEG4_P2_TS_SP_MPEG2_L2_ISO

    - #### MPEG4_P2_TS_ASP_AAC

          public static final DLNAProfiles MPEG4_P2_TS_ASP_AAC

    - #### MPEG4_P2_TS_ASP_AAC_T

          public static final DLNAProfiles MPEG4_P2_TS_ASP_AAC_T

    - #### MPEG4_P2_TS_ASP_AAC_ISO

          public static final DLNAProfiles MPEG4_P2_TS_ASP_AAC_ISO

    - #### MPEG4_P2_TS_ASP_MPEG1_L3

          public static final DLNAProfiles MPEG4_P2_TS_ASP_MPEG1_L3

    - #### MPEG4_P2_TS_ASP_MPEG1_L3_T

          public static final DLNAProfiles MPEG4_P2_TS_ASP_MPEG1_L3_T

    - #### MPEG4_P2_TS_ASP_MPEG1_L3_ISO

          public static final DLNAProfiles MPEG4_P2_TS_ASP_MPEG1_L3_ISO

    - #### MPEG4_P2_TS_ASP_AC3_L3

          public static final DLNAProfiles MPEG4_P2_TS_ASP_AC3_L3

    - #### MPEG4_P2_TS_ASP_AC3_T

          public static final DLNAProfiles MPEG4_P2_TS_ASP_AC3_T

    - #### MPEG4_P2_TS_ASP_AC3_ISO

          public static final DLNAProfiles MPEG4_P2_TS_ASP_AC3_ISO

    - #### MPEG4_P2_TS_CO_AC3

          public static final DLNAProfiles MPEG4_P2_TS_CO_AC3

    - #### MPEG4_P2_TS_CO_AC3_T

          public static final DLNAProfiles MPEG4_P2_TS_CO_AC3_T

    - #### MPEG4_P2_TS_CO_AC3_ISO

          public static final DLNAProfiles MPEG4_P2_TS_CO_AC3_ISO

    - #### MPEG4_P2_TS_CO_MPEG2_L2

          public static final DLNAProfiles MPEG4_P2_TS_CO_MPEG2_L2

    - #### MPEG4_P2_TS_CO_MPEG2_L2_T

          public static final DLNAProfiles MPEG4_P2_TS_CO_MPEG2_L2_T

    - #### MPEG4_P2_TS_CO_MPEG2_L2_ISO

          public static final DLNAProfiles MPEG4_P2_TS_CO_MPEG2_L2_ISO

    - #### MPEG4_P2_ASF_SP_G726

          public static final DLNAProfiles MPEG4_P2_ASF_SP_G726

    - #### MPEG4_P2_ASF_ASP_L5_SO_G726

          public static final DLNAProfiles MPEG4_P2_ASF_ASP_L5_SO_G726

    - #### MPEG4_P2_ASF_ASP_L4_SO_G726

          public static final DLNAProfiles MPEG4_P2_ASF_ASP_L4_SO_G726

    - #### MPEG4_H263_3GPP_P0_L10_AMR_WBplus

          public static final DLNAProfiles MPEG4_H263_3GPP_P0_L10_AMR_WBplus

    - #### MPEG4_P2_3GPP_SP_L0B_AAC

          public static final DLNAProfiles MPEG4_P2_3GPP_SP_L0B_AAC

    - #### MPEG4_P2_3GPP_SP_L0B_AMR

          public static final DLNAProfiles MPEG4_P2_3GPP_SP_L0B_AMR

    - #### MPEG4_H263_3GPP_P3_L10_AMR

          public static final DLNAProfiles MPEG4_H263_3GPP_P3_L10_AMR

    - #### AVC_MP4_MP_SD_AAC_MULT5

          public static final DLNAProfiles AVC_MP4_MP_SD_AAC_MULT5

    - #### AVC_MP4_MP_SD_HEAAC_L2

          public static final DLNAProfiles AVC_MP4_MP_SD_HEAAC_L2

    - #### AVC_MP4_MP_SD_MPEG1_L3

          public static final DLNAProfiles AVC_MP4_MP_SD_MPEG1_L3

    - #### AVC_MP4_MP_SD_AC3

          public static final DLNAProfiles AVC_MP4_MP_SD_AC3

    - #### AVC_MP4_MP_SD_AAC_LTP

          public static final DLNAProfiles AVC_MP4_MP_SD_AAC_LTP

    - #### AVC_MP4_MP_SD_AAC_LTP_MULT5

          public static final DLNAProfiles AVC_MP4_MP_SD_AAC_LTP_MULT5

    - #### AVC_MP4_MP_SD_AAC_LTP_MULT7

          public static final DLNAProfiles AVC_MP4_MP_SD_AAC_LTP_MULT7

    - #### AVC_MP4_MP_SD_ATRAC3plus

          public static final DLNAProfiles AVC_MP4_MP_SD_ATRAC3plus

    - #### AVC_MP4_MP_SD_BSAC

          public static final DLNAProfiles AVC_MP4_MP_SD_BSAC

    - #### AVC_MP4_MP_HD_720p_AAC

          public static final DLNAProfiles AVC_MP4_MP_HD_720p_AAC

    - #### AVC_MP4_MP_HD_1080i_AAC

          public static final DLNAProfiles AVC_MP4_MP_HD_1080i_AAC

    - #### AVC_MP4_HP_HD_AAC

          public static final DLNAProfiles AVC_MP4_HP_HD_AAC

    - #### AVC_MP4_BL_L3L_SD_AAC

          public static final DLNAProfiles AVC_MP4_BL_L3L_SD_AAC

    - #### AVC_MP4_BL_L3L_SD_HEAAC

          public static final DLNAProfiles AVC_MP4_BL_L3L_SD_HEAAC

    - #### AVC_MP4_BL_L3_SD_AAC

          public static final DLNAProfiles AVC_MP4_BL_L3_SD_AAC

    - #### AVC_MP4_BL_CIF30_AAC_MULT5

          public static final DLNAProfiles AVC_MP4_BL_CIF30_AAC_MULT5

    - #### AVC_MP4_BL_CIF30_HEAAC_L2

          public static final DLNAProfiles AVC_MP4_BL_CIF30_HEAAC_L2

    - #### AVC_MP4_BL_CIF30_MPEG1_L3

          public static final DLNAProfiles AVC_MP4_BL_CIF30_MPEG1_L3

    - #### AVC_MP4_BL_CIF30_AC3

          public static final DLNAProfiles AVC_MP4_BL_CIF30_AC3

    - #### AVC_MP4_BL_CIF30_AAC_LTP

          public static final DLNAProfiles AVC_MP4_BL_CIF30_AAC_LTP

    - #### AVC_MP4_BL_CIF30_AAC_LTP_MULT5

          public static final DLNAProfiles AVC_MP4_BL_CIF30_AAC_LTP_MULT5

    - #### AVC_MP4_BL_L2_CIF30_AAC

          public static final DLNAProfiles AVC_MP4_BL_L2_CIF30_AAC

    - #### AVC_MP4_BL_CIF30_BSAC

          public static final DLNAProfiles AVC_MP4_BL_CIF30_BSAC

    - #### AVC_MP4_BL_CIF30_BSAC_MULT5

          public static final DLNAProfiles AVC_MP4_BL_CIF30_BSAC_MULT5

    - #### AVC_MP4_BL_CIF15_HEAAC

          public static final DLNAProfiles AVC_MP4_BL_CIF15_HEAAC

    - #### AVC_MP4_BL_CIF15_AMR

          public static final DLNAProfiles AVC_MP4_BL_CIF15_AMR

    - #### AVC_MP4_BL_CIF15_AAC

          public static final DLNAProfiles AVC_MP4_BL_CIF15_AAC

    - #### AVC_MP4_BL_CIF15_AAC_520

          public static final DLNAProfiles AVC_MP4_BL_CIF15_AAC_520

    - #### AVC_MP4_BL_CIF15_AAC_LTP

          public static final DLNAProfiles AVC_MP4_BL_CIF15_AAC_LTP

    - #### AVC_MP4_BL_CIF15_AAC_LTP_520

          public static final DLNAProfiles AVC_MP4_BL_CIF15_AAC_LTP_520

    - #### AVC_MP4_BL_CIF15_BSAC

          public static final DLNAProfiles AVC_MP4_BL_CIF15_BSAC

    - #### AVC_MP4_BL_L12_CIF15_HEAAC

          public static final DLNAProfiles AVC_MP4_BL_L12_CIF15_HEAAC

    - #### AVC_MP4_BL_L1B_QCIF15_HEAAC

          public static final DLNAProfiles AVC_MP4_BL_L1B_QCIF15_HEAAC

    - #### AVC_TS_MP_SD_AAC_MULT5

          public static final DLNAProfiles AVC_TS_MP_SD_AAC_MULT5

    - #### AVC_TS_MP_SD_AAC_MULT5_T

          public static final DLNAProfiles AVC_TS_MP_SD_AAC_MULT5_T

    - #### AVC_TS_MP_SD_AAC_MULT5_ISO

          public static final DLNAProfiles AVC_TS_MP_SD_AAC_MULT5_ISO

    - #### AVC_TS_MP_SD_HEAAC_L2

          public static final DLNAProfiles AVC_TS_MP_SD_HEAAC_L2

    - #### AVC_TS_MP_SD_HEAAC_L2_T

          public static final DLNAProfiles AVC_TS_MP_SD_HEAAC_L2_T

    - #### AVC_TS_MP_SD_HEAAC_L2_ISO

          public static final DLNAProfiles AVC_TS_MP_SD_HEAAC_L2_ISO

    - #### AVC_TS_MP_SD_MPEG1_L3

          public static final DLNAProfiles AVC_TS_MP_SD_MPEG1_L3

    - #### AVC_TS_MP_SD_MPEG1_L3_T

          public static final DLNAProfiles AVC_TS_MP_SD_MPEG1_L3_T

    - #### AVC_TS_MP_SD_MPEG1_L3_ISO

          public static final DLNAProfiles AVC_TS_MP_SD_MPEG1_L3_ISO

    - #### AVC_TS_MP_SD_AC3

          public static final DLNAProfiles AVC_TS_MP_SD_AC3

    - #### AVC_TS_MP_SD_AC3_T

          public static final DLNAProfiles AVC_TS_MP_SD_AC3_T

    - #### AVC_TS_MP_SD_AC3_ISO

          public static final DLNAProfiles AVC_TS_MP_SD_AC3_ISO

    - #### AVC_TS_MP_SD_AAC_LTP

          public static final DLNAProfiles AVC_TS_MP_SD_AAC_LTP

    - #### AVC_TS_MP_SD_AAC_LTP_T

          public static final DLNAProfiles AVC_TS_MP_SD_AAC_LTP_T

    - #### AVC_TS_MP_SD_AAC_LTP_ISO

          public static final DLNAProfiles AVC_TS_MP_SD_AAC_LTP_ISO

    - #### AVC_TS_MP_SD_AAC_LTP_MULT5

          public static final DLNAProfiles AVC_TS_MP_SD_AAC_LTP_MULT5

    - #### AVC_TS_MP_SD_AAC_LTP_MULT5_T

          public static final DLNAProfiles AVC_TS_MP_SD_AAC_LTP_MULT5_T

    - #### AVC_TS_MP_SD_AAC_LTP_MULT5_ISO

          public static final DLNAProfiles AVC_TS_MP_SD_AAC_LTP_MULT5_ISO

    - #### AVC_TS_MP_SD_AAC_LTP_MULT7

          public static final DLNAProfiles AVC_TS_MP_SD_AAC_LTP_MULT7

    - #### AVC_TS_MP_SD_AAC_LTP_MULT7_T

          public static final DLNAProfiles AVC_TS_MP_SD_AAC_LTP_MULT7_T

    - #### AVC_TS_MP_SD_AAC_LTP_MULT7_ISO

          public static final DLNAProfiles AVC_TS_MP_SD_AAC_LTP_MULT7_ISO

    - #### AVC_TS_MP_SD_BSAC

          public static final DLNAProfiles AVC_TS_MP_SD_BSAC

    - #### AVC_TS_MP_SD_BSAC_T

          public static final DLNAProfiles AVC_TS_MP_SD_BSAC_T

    - #### AVC_TS_MP_SD_BSAC_ISO

          public static final DLNAProfiles AVC_TS_MP_SD_BSAC_ISO

    - #### AVC_TS_HD_24_AC3

          public static final DLNAProfiles AVC_TS_HD_24_AC3

    - #### AVC_TS_HD_24_AC3_T

          public static final DLNAProfiles AVC_TS_HD_24_AC3_T

    - #### AVC_TS_HD_24_AC3_ISO

          public static final DLNAProfiles AVC_TS_HD_24_AC3_ISO

    - #### AVC_TS_HD_50_LPCM_T

          public static final DLNAProfiles AVC_TS_HD_50_LPCM_T

    - #### AVC_TS_HD_50_AC3

          public static final DLNAProfiles AVC_TS_HD_50_AC3

    - #### AVC_TS_HD_50_AC3_T

          public static final DLNAProfiles AVC_TS_HD_50_AC3_T

    - #### AVC_TS_HD_50_AC3_ISO

          public static final DLNAProfiles AVC_TS_HD_50_AC3_ISO

    - #### AVC_TS_HD_60_AC3

          public static final DLNAProfiles AVC_TS_HD_60_AC3

    - #### AVC_TS_HD_60_AC3_T

          public static final DLNAProfiles AVC_TS_HD_60_AC3_T

    - #### AVC_TS_HD_60_AC3_ISO

          public static final DLNAProfiles AVC_TS_HD_60_AC3_ISO

    - #### AVC_TS_BL_CIF30_AAC_MULT5

          public static final DLNAProfiles AVC_TS_BL_CIF30_AAC_MULT5

    - #### AVC_TS_BL_CIF30_AAC_MULT5_T

          public static final DLNAProfiles AVC_TS_BL_CIF30_AAC_MULT5_T

    - #### AVC_TS_BL_CIF30_AAC_MULT5_ISO

          public static final DLNAProfiles AVC_TS_BL_CIF30_AAC_MULT5_ISO

    - #### AVC_TS_BL_CIF30_HEAAC_L2

          public static final DLNAProfiles AVC_TS_BL_CIF30_HEAAC_L2

    - #### AVC_TS_BL_CIF30_HEAAC_L2_T

          public static final DLNAProfiles AVC_TS_BL_CIF30_HEAAC_L2_T

    - #### AVC_TS_BL_CIF30_HEAAC_L2_ISO

          public static final DLNAProfiles AVC_TS_BL_CIF30_HEAAC_L2_ISO

    - #### AVC_TS_BL_CIF30_MPEG1_L3

          public static final DLNAProfiles AVC_TS_BL_CIF30_MPEG1_L3

    - #### AVC_TS_BL_CIF30_MPEG1_L3_T

          public static final DLNAProfiles AVC_TS_BL_CIF30_MPEG1_L3_T

    - #### AVC_TS_BL_CIF30_MPEG1_L3_ISO

          public static final DLNAProfiles AVC_TS_BL_CIF30_MPEG1_L3_ISO

    - #### AVC_TS_BL_CIF30_AC3

          public static final DLNAProfiles AVC_TS_BL_CIF30_AC3

    - #### AVC_TS_BL_CIF30_AC3_T

          public static final DLNAProfiles AVC_TS_BL_CIF30_AC3_T

    - #### AVC_TS_BL_CIF30_AC3_ISO

          public static final DLNAProfiles AVC_TS_BL_CIF30_AC3_ISO

    - #### AVC_TS_BL_CIF30_AAC_LTP

          public static final DLNAProfiles AVC_TS_BL_CIF30_AAC_LTP

    - #### AVC_TS_BL_CIF30_AAC_LTP_T

          public static final DLNAProfiles AVC_TS_BL_CIF30_AAC_LTP_T

    - #### AVC_TS_BL_CIF30_AAC_LTP_ISO

          public static final DLNAProfiles AVC_TS_BL_CIF30_AAC_LTP_ISO

    - #### AVC_TS_BL_CIF30_AAC_LTP_MULT5

          public static final DLNAProfiles AVC_TS_BL_CIF30_AAC_LTP_MULT5

    - #### AVC_TS_BL_CIF30_AAC_LTP_MULT5_T

          public static final DLNAProfiles AVC_TS_BL_CIF30_AAC_LTP_MULT5_T

    - #### AVC_TS_BL_CIF30_AAC_LTP_MULT5_ISO

          public static final DLNAProfiles AVC_TS_BL_CIF30_AAC_LTP_MULT5_ISO

    - #### AVC_TS_BL_CIF30_AAC_940

          public static final DLNAProfiles AVC_TS_BL_CIF30_AAC_940

    - #### AVC_TS_BL_CIF30_AAC_940_T

          public static final DLNAProfiles AVC_TS_BL_CIF30_AAC_940_T

    - #### AVC_TS_BL_CIF30_AAC_940_ISO

          public static final DLNAProfiles AVC_TS_BL_CIF30_AAC_940_ISO

    - #### AVC_TS_MP_HD_AAC_MULT5

          public static final DLNAProfiles AVC_TS_MP_HD_AAC_MULT5

    - #### AVC_TS_MP_HD_AAC_MULT5_T

          public static final DLNAProfiles AVC_TS_MP_HD_AAC_MULT5_T

    - #### AVC_TS_MP_HD_AAC_MULT5_ISO

          public static final DLNAProfiles AVC_TS_MP_HD_AAC_MULT5_ISO

    - #### AVC_TS_MP_HD_HEAAC_L2

          public static final DLNAProfiles AVC_TS_MP_HD_HEAAC_L2

    - #### AVC_TS_MP_HD_HEAAC_L2_T

          public static final DLNAProfiles AVC_TS_MP_HD_HEAAC_L2_T

    - #### AVC_TS_MP_HD_HEAAC_L2_ISO

          public static final DLNAProfiles AVC_TS_MP_HD_HEAAC_L2_ISO

    - #### AVC_TS_MP_HD_MPEG1_L3

          public static final DLNAProfiles AVC_TS_MP_HD_MPEG1_L3

    - #### AVC_TS_MP_HD_MPEG1_L3_T

          public static final DLNAProfiles AVC_TS_MP_HD_MPEG1_L3_T

    - #### AVC_TS_MP_HD_MPEG1_L3_ISO

          public static final DLNAProfiles AVC_TS_MP_HD_MPEG1_L3_ISO

    - #### AVC_TS_MP_HD_AC3

          public static final DLNAProfiles AVC_TS_MP_HD_AC3

    - #### AVC_TS_MP_HD_AC3_T

          public static final DLNAProfiles AVC_TS_MP_HD_AC3_T

    - #### AVC_TS_MP_HD_AC3_ISO

          public static final DLNAProfiles AVC_TS_MP_HD_AC3_ISO

    - #### AVC_TS_MP_HD_AAC

          public static final DLNAProfiles AVC_TS_MP_HD_AAC

    - #### AVC_TS_MP_HD_AAC_T

          public static final DLNAProfiles AVC_TS_MP_HD_AAC_T

    - #### AVC_TS_MP_HD_AAC_ISO

          public static final DLNAProfiles AVC_TS_MP_HD_AAC_ISO

    - #### AVC_TS_MP_HD_AAC_LTP

          public static final DLNAProfiles AVC_TS_MP_HD_AAC_LTP

    - #### AVC_TS_MP_HD_AAC_LTP_T

          public static final DLNAProfiles AVC_TS_MP_HD_AAC_LTP_T

    - #### AVC_TS_MP_HD_AAC_LTP_ISO

          public static final DLNAProfiles AVC_TS_MP_HD_AAC_LTP_ISO

    - #### AVC_TS_MP_HD_AAC_LTP_MULT5

          public static final DLNAProfiles AVC_TS_MP_HD_AAC_LTP_MULT5

    - #### AVC_TS_MP_HD_AAC_LTP_MULT5_T

          public static final DLNAProfiles AVC_TS_MP_HD_AAC_LTP_MULT5_T

    - #### AVC_TS_MP_HD_AAC_LTP_MULT5_ISO

          public static final DLNAProfiles AVC_TS_MP_HD_AAC_LTP_MULT5_ISO

    - #### AVC_TS_MP_HD_AAC_LTP_MULT7

          public static final DLNAProfiles AVC_TS_MP_HD_AAC_LTP_MULT7

    - #### AVC_TS_MP_HD_AAC_LTP_MULT7_T

          public static final DLNAProfiles AVC_TS_MP_HD_AAC_LTP_MULT7_T

    - #### AVC_TS_MP_HD_AAC_LTP_MULT7_ISO

          public static final DLNAProfiles AVC_TS_MP_HD_AAC_LTP_MULT7_ISO

    - #### AVC_TS_BL_CIF15_AAC

          public static final DLNAProfiles AVC_TS_BL_CIF15_AAC

    - #### AVC_TS_BL_CIF15_AAC_T

          public static final DLNAProfiles AVC_TS_BL_CIF15_AAC_T

    - #### AVC_TS_BL_CIF15_AAC_ISO

          public static final DLNAProfiles AVC_TS_BL_CIF15_AAC_ISO

    - #### AVC_TS_BL_CIF15_AAC_540

          public static final DLNAProfiles AVC_TS_BL_CIF15_AAC_540

    - #### AVC_TS_BL_CIF15_AAC_540_T

          public static final DLNAProfiles AVC_TS_BL_CIF15_AAC_540_T

    - #### AVC_TS_BL_CIF15_AAC_540_ISO

          public static final DLNAProfiles AVC_TS_BL_CIF15_AAC_540_ISO

    - #### AVC_TS_BL_CIF15_AAC_LTP

          public static final DLNAProfiles AVC_TS_BL_CIF15_AAC_LTP

    - #### AVC_TS_BL_CIF15_AAC_LTP_T

          public static final DLNAProfiles AVC_TS_BL_CIF15_AAC_LTP_T

    - #### AVC_TS_BL_CIF15_AAC_LTP_ISO

          public static final DLNAProfiles AVC_TS_BL_CIF15_AAC_LTP_ISO

    - #### AVC_TS_BL_CIF15_BSAC

          public static final DLNAProfiles AVC_TS_BL_CIF15_BSAC

    - #### AVC_TS_BL_CIF15_BSAC_T

          public static final DLNAProfiles AVC_TS_BL_CIF15_BSAC_T

    - #### AVC_TS_BL_CIF15_BSAC_ISO

          public static final DLNAProfiles AVC_TS_BL_CIF15_BSAC_ISO

    - #### AVC_3GPP_BL_CIF30_AMR_WBplus

          public static final DLNAProfiles AVC_3GPP_BL_CIF30_AMR_WBplus

    - #### AVC_3GPP_BL_CIF15_AMR_WBplus

          public static final DLNAProfiles AVC_3GPP_BL_CIF15_AMR_WBplus

    - #### AVC_3GPP_BL_QCIF15_AAC

          public static final DLNAProfiles AVC_3GPP_BL_QCIF15_AAC

    - #### AVC_3GPP_BL_QCIF15_AAC_LTP

          public static final DLNAProfiles AVC_3GPP_BL_QCIF15_AAC_LTP

    - #### AVC_3GPP_BL_QCIF15_HEAAC

          public static final DLNAProfiles AVC_3GPP_BL_QCIF15_HEAAC

    - #### AVC_3GPP_BL_QCIF15_AMR_WBplus

          public static final DLNAProfiles AVC_3GPP_BL_QCIF15_AMR_WBplus

    - #### AVC_3GPP_BL_QCIF15_AMR

          public static final DLNAProfiles AVC_3GPP_BL_QCIF15_AMR

    - #### AVC_MP4_LPCM

          public static final DLNAProfiles AVC_MP4_LPCM

    - #### AVI

          public static final DLNAProfiles AVI

    - #### AVI_XMS

          public static final DLNAProfiles AVI_XMS

    - #### DIVX

          public static final DLNAProfiles DIVX

    - #### MATROSKA

          public static final DLNAProfiles MATROSKA

    - #### MATROSKA_MKV

          public static final DLNAProfiles MATROSKA_MKV

    - #### VC1_ASF_AP_L1_WMA

          public static final DLNAProfiles VC1_ASF_AP_L1_WMA

    - #### VC1_ASF_AP_L2_WMA

          public static final DLNAProfiles VC1_ASF_AP_L2_WMA

    - #### VC1_ASF_AP_L3_WMA

          public static final DLNAProfiles VC1_ASF_AP_L3_WMA

    - #### VC1_ASF_AP_L1_WMA_WMV

          public static final DLNAProfiles VC1_ASF_AP_L1_WMA_WMV

    - #### VC1_ASF_AP_L2_WMA_WMV

          public static final DLNAProfiles VC1_ASF_AP_L2_WMA_WMV

    - #### VC1_ASF_AP_L3_WMA_WMV

          public static final DLNAProfiles VC1_ASF_AP_L3_WMA_WMV

  - ### Method Detail

    - #### values

          public static DLNAProfiles[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DLNAProfiles c : DLNAProfiles.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DLNAProfiles valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public String getCode()

    - #### getContentFormat

          public String getContentFormat()

    - #### valueOf

          public static DLNAProfiles valueOf(String code,
                                             String contentFormat)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.